// JavaScript Document

// 创建精灵
function createSprite(sprite)
{
	if (typeof animJson == "undefined")
	{
		return;
	}
	//alert(typeof animJson[sprite.animData])
	var ss = new createjs.SpriteSheet(animJson[sprite.animData]);	
	grant = new createjs.Sprite(ss);
	grant.x = sprite.area[0];
	grant.y = sprite.area[1];
	stage.addChild(grant);
	stage.update();
	grant.gotoAndPlay("stay");
	var hs = new HandlerSprite(sprite.name, grant);
	spriteArray.push(hs);
	//setPause()
}

function setPause(){	
	$("body").append("<div id='set_pause'></div>")
	$("#set_pause").css({"position":"absolute","z-index":15000,"width":960,"height":640}).click(function(){																															
		createjs.Ticker.setPaused(!createjs.Ticker.getPaused());
		if(createjs.Ticker.getPaused()){
			grant.gotoAndStop()	
		}else{
			grant.gotoAndPlay()
		}
	})	
}

// 创建精灵图片
function createImg(sprite)
{
	var container = document.getElementById("spriteLayer");
	var parent = document.createElement("div");
	parent.id = sprite.name;
	parent.style.position = "absolute";
	parent.style.zIndex = sprite.zIndex;
	parent.style.left = sprite.area[0] + "px";
	parent.style.top = sprite.area[1] + "px";
	parent.style.width = sprite.area[2] + "px";
	parent.style.height = sprite.area[3] + "px";
	
	var img = document.createElement("img");
	if (typeof(sprite.imgID) != "undefined")
	{
		img.id = sprite.imgID;
	}
	img.width = sprite.area[2];
	img.height = sprite.area[3];
	img.src = sprite.imgSrc;
	
	parent.appendChild(img);
	container.appendChild(parent);
	
	if (sprite.visibility != 0)
	{ // 如果为真
		parent.style.visibility = "visible";	
	} else 
	{ // 否则隐藏
		parent.style.visibility = "hidden";
	}
}

// 创建图片到SpriteLayer
function createImgAnim(sprite)
{
	if (typeof animJson[sprite.name] == "undefined")
	{ // 如果没有动画数据
		return;
	}
	var container = document.getElementById("spriteLayer");	
	var addDiv = document.createElement("div");
	addDiv.id = sprite.name;
	addDiv.style.position = "absolute";	
	addDiv.style.zIndex = sprite.zIndex;	
	addDiv.style.left = sprite.area[0] + "px";
	addDiv.style.top = sprite.area[1] + "px";
	addDiv.style.width = sprite.area[2] + "px";
	addDiv.style.height = sprite.area[3] + "px";
	
	var img = document.createElement("img");
	if (typeof(sprite.imgID) != "undefined")
	{
		img.id = sprite.imgID;
	}
	img.className = "start";	
	img.style.width = sprite.area[2] + "px";
	img.style.height = sprite.area[3] + "px";
	if (typeof sprite.visibility == "undefined")
	{
		img.style.visibility = "visible";
	} else 
	{
		if (sprite.visibility)
		{
			img.style.visibility = "visible";
		} else 
		{
			img.style.visibility = "hidden";
		}
	}
	img.src = animJson[sprite.name].images[0];	
	addDiv.appendChild(img);
	container.appendChild(addDiv);
}

function press(id){
	for(var i=1;i<99;i++){
		if(document.getElementById('button'+i)===null){
			break;	
		}
		eval("var button"+i+"=document.getElementById('button"+i+"')");
		if(i==id){
			eval("button"+i+".style.visibility='visible'");
		}else{
			eval("button"+i+".style.visibility='hidden'");
		}
	}
}

function fadeOut(id){
	$('#'+id).fadeOut(1500);	
}